(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.OptionsColor = void 0;
    class OptionsColor {
        constructor() {
            this.value = "#fff";
        }
        static create(source, data) {
            const color = source !== null && source !== void 0 ? source : new OptionsColor();
            if (data !== undefined) {
                color.load(typeof data === "string" ? { value: data } : data);
            }
            return color;
        }
        load(data) {
            if ((data === null || data === void 0 ? void 0 : data.value) === undefined) {
                return;
            }
            this.value = data.value;
        }
    }
    exports.OptionsColor = OptionsColor;
});
