(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "./main.slim", "./Plugins/Absorbers/AbsorbersPlugin", "./Plugins/Emitters/EmittersPlugin", "./Plugins/PolygonMask/PolygonMaskPlugin"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.Main = void 0;
    const main_slim_1 = require("./main.slim");
    const AbsorbersPlugin_1 = require("./Plugins/Absorbers/AbsorbersPlugin");
    const EmittersPlugin_1 = require("./Plugins/Emitters/EmittersPlugin");
    const PolygonMaskPlugin_1 = require("./Plugins/PolygonMask/PolygonMaskPlugin");
    class Main extends main_slim_1.MainSlim {
        constructor() {
            super();
            this.addPlugin(AbsorbersPlugin_1.AbsorbersPlugin);
            this.addPlugin(EmittersPlugin_1.EmittersPlugin);
            this.addPlugin(PolygonMaskPlugin_1.PolygonMaskPlugin);
        }
    }
    exports.Main = Main;
});
